--
-- Rcsid[] = "$Id: decod3_8.vhd,v 2.1 1993/10/06 01:04:36 alex Exp $";
--

entity DECOD3_8 is
port(A: in bit_vector(2 downto 0);
     ENABLE_N: in bit;
     Y: out bit_vector(7 downto 0));
end;

architecture structure of DECOD3_8 is

signal L0, L1, L2, L3, L4, L5, L6 : bit;

begin
u1 : inv_gate generic map(1,1)  port map(L0,A(0));
u2 : inv_gate generic map(1,1)  port map(L1,A(1));
u3 : inv_gate generic map(1,1)  port map(L2,A(2));
u4 : inv_gate generic map(1,1)  port map(L3,L0);
u5 : inv_gate generic map(1,1)  port map(L4,L1);
u6 : inv_gate generic map(1,1)  port map(L5,L2);
u8 : inv_gate generic map(2,2)  port map(L6,ENABLE_N);
u10 : nand_gate generic map(7,7) port map(Y(0),L0,L1,L2,L6);
u11 : nand_gate generic map(7,7) port map(Y(1),L3,L1,L2,L6);
u12 : nand_gate generic map(7,7) port map(Y(2),L0,L4,L2,L6);
u13 : nand_gate generic map(7,7) port map(Y(3),L3,L4,L2,L6);
u14 : nand_gate generic map(7,7) port map(Y(4),L0,L1,L5,L6);
u15 : nand_gate generic map(7,7) port map(Y(5),L3,L1,L5,L6);
u16 : nand_gate generic map(7,7) port map(Y(6),L0,L4,L5,L6);
u17 : nand_gate generic map(7,7) port map(Y(7),L3,L4,L5,L6);
end structure;
